Missing dependency gir1.2-notify-0.7 (crashes with ImportError in __main__: cannot import name Notify)

Bug #1215206 reported by Ryan Reamsbottom
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Weather Indicator
Medium
Joshua Tasker

Bug Description

Trying to open this under openbox and tint2, refuses to start. Could it be requiring notify-osd, when all I have is xfce4-notifyd?

notify-send still works.

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: indicator-weather 13.06.01 [origin: LP-PPA-weather-indicator-team]
ProcVersionSignature: Ubuntu 3.8.0-29.42-generic 3.8.13.5
Uname: Linux 3.8.0-29-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
CrashDB: indicator_weather
Date: Wed Aug 21 18:22:46 2013
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/indicator-weather
InstallationDate: Installed on 2013-08-19 (2 days ago)
InstallationMedia: Xubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
InterpreterPath: /usr/bin/python2.7
MarkForUpload: True
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/indicator-weather
PythonArgs: ['/usr/bin/indicator-weather']
SourcePackage: indicator-weather
ThirdParty: True
Title: indicator-weather crashed with ImportError in __main__: cannot import name Notify
Traceback:
 Traceback (most recent call last):
   File "/usr/bin/indicator-weather", line 21, in <module>
     from gi.repository import Gio, GLib, Gtk, Gdk, Notify, GObject, GdkPixbuf
 ImportError: cannot import name Notify
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Revision history for this message
Ryan Reamsbottom (ryanrms) wrote :
Revision history for this message
Joshua Tasker (jtasker) wrote :

It requires gir1.2-notify-0.7

This isn't currently listed as a dependency, it will be added.

Changed in weather-indicator:
milestone: none → 13.7.0
status: New → Triaged
importance: Undecided → Low
importance: Low → Medium
summary: - indicator-weather crashed with ImportError in __main__: cannot import
- name Notify
+ Missing dependency gir1.2-notify-0.7 (crashes with ImportError in
+ __main__: cannot import name Notify)
Joshua Tasker (jtasker)
Changed in weather-indicator:
status: Triaged → Fix Committed
assignee: nobody → Joshua Tasker (jtasker)
Joshua Tasker (jtasker)
Changed in weather-indicator:
status: Fix Committed → Fix Released
information type: Private → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers